<!DOCTYPE html>
<html>
  <head>
    <title>Ethical-Hacking: Reconhecimento</title>
    <meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta http-equiv="X-UA-Compatible" content="ie=edge" />


<link rel="stylesheet" href="/css/bootstrap.min.css"/>
<link rel="stylesheet" href="/css/layouts/main.css"/>
<link rel="stylesheet" href="/css/navigators/navbar.css"/>
<link rel="stylesheet" href="/css/plyr.css"/>
<link rel="stylesheet" href="/css/flag-icon.min.css"/>


<link rel="stylesheet" href="/google-fonts/Mulish/mulish.css"/>


<link rel="stylesheet" href="/fontawesome/css/all.min.css"/>



<link rel="stylesheet" href="/css/colortheme/colortheme.css"/>





  

  
  
  
    
  
  

  <link rel="icon" type="image/png" href="/images/site/favicon_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" />

<meta property="og:title" content="Ethical-Hacking: Reconhecimento" />
<meta property="og:description" content="Estou escrevendo este artigo a fim de melhor estruturar meu conhecimento na área.
Estou fazendo uma série de cursos na área de Segurança da Informação, e estarei escrevendo sobre os temas aprendidos, com o objetivo de identificar as lacunas no meu conhecimento e aprimorá-lo.
O que é? &ldquo;Reconhecimento&rdquo; é a primeira etapa do processo de Teste de Invasão. É a etapa na qual os atacantes reúnem o máximo de informações o possível, sem discriminar qualquer informação." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://192.168.15.28/posts/ethical-hacking-reconhecimento/" /><meta property="article:section" content="posts" />
<meta property="article:published_time" content="2023-01-03T15:50:53-03:00" />
<meta property="article:modified_time" content="2023-01-03T15:50:53-03:00" />



    
    
<meta name="description" content="Ethical-Hacking: Reconhecimento" />
<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/styles/atom-one-dark.min.css"
/>
<link rel="stylesheet" href="/css/layouts/single.css"/>
<link rel="stylesheet" href="/css/navigators/sidebar.css">

<link rel="stylesheet" href="/css/style.css"/>



    




</head>

  <body data-spy="scroll" data-target="#TableOfContents" data-offset="80">
    <div class="container-fluid bg-dimmed wrapper">
      
      
    





  


  




  
  
    
  
  



  
  
    
  
  


<nav class="navbar navbar-expand-xl top-navbar final-navbar shadow">
  <div class="container">
      <button class="navbar-toggler navbar-light" id="sidebar-toggler" type="button" onclick="toggleSidebar()">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="/">
      
        <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" alt="Logo">
      Darwin&#39;s Blog</a>
    <button class="navbar-toggler navbar-light" id="toc-toggler" type="button" onclick="toggleTOC()">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse lang-selector" id="top-nav-items">
      <ul class="navbar-nav ml-auto">
      
      
        <li class="nav-item dropdown">

<div id="theme-initialization" style="display: none;"
  default-theme="system"></div>
<a class="nav-link dropdown-toggle"  href="#" id="themeSelector" role="button"
  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
  <img id="navbar-theme-icon-svg" src="/icons/moon-svgrepo-com.svg" width=20>
</a>
<div class="dropdown-menu dropdown-menu-icons-only" aria-labelledby="themeSelector">
  <a class="dropdown-item nav-link" href="#" onclick="enableLightTheme()">
    <img class="menu-icon-center" src="/icons/sun-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="enableDarkTheme()">
    <img class="menu-icon-center" src="/icons/moon-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="useSystemTheme()">
    <img class="menu-icon-center" src="/icons/computer-svgrepo-com.svg" width=20>
  </a>
</div>
</li>
      
      </ul>
    </div>
  </div>
  
  
    <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="main-logo" alt="Logo">
  
  
    <img src="/images/site/inverted-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="inverted-logo" alt="Inverted Logo">
  
</nav>



      
      
  <section class="sidebar-section" id="sidebar-section">
    <div class="sidebar-holder">
      <div class="sidebar" id="sidebar">
        <form class="mx-auto" method="get" action="/search">
          <input type="text" name="keyword" value="" placeholder="Busca" data-search="" id="search-box" />
        </form>
        <div class="sidebar-tree">
          <ul class="tree" id="tree">
            <li id="list-heading"><a href="/posts" data-filter="all">Posts</a></li>
            <div class="subtree">
                

            </div>
          </ul>
        </div>
      </div>
    </div>
  </section>


      
      
<section class="content-section" id="content-section">
  <div class="content">
    <div class="container p-0 read-area">
      
      <div class="hero-area col-sm-12" id="hero-area" style='background-image: url(/images/default-hero.jpg);'>
      </div>

      
      <div class="page-content">
        <div class="author-profile ml-auto align-self-lg-center">
          <img class="rounded-circle" src='/images/author/darwin_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_120x120_fit_box_3.png' alt="Author Image">
          <h5 class="author-name">Darwin Brandão</h5>
          <p>January 3, 2023</p>
        </div>

        <div class="title">
          <h1>Ethical-Hacking: Reconhecimento</h1>
        </div>
        
        <div class="taxonomy-terms">
            <ul>
            
          </ul>
        </div>
        
        <div class="post-content" id="post-content">
          <p>Estou escrevendo este artigo a fim de melhor estruturar meu conhecimento na área.</p>
<p>Estou fazendo uma série de cursos na área de Segurança da Informação, e estarei escrevendo sobre os temas aprendidos, com o objetivo de identificar as lacunas no meu conhecimento e aprimorá-lo.</p>
<h2 id="o-que-é">O que é?</h2>
<p>&ldquo;<strong>Reconhecimento</strong>&rdquo; é a primeira etapa do processo de Teste de Invasão. É a etapa na qual os atacantes reúnem o máximo de informações o possível, sem discriminar qualquer informação.</p>
<p>Nesta etapa, levanta-se dados públicos, como dados disponíveis no site e mídias sociais do alvo, dados de Whois, dados de DNS, dados de colaboradores, dados de procedimentos internos e externos, dentre muitos outros.</p>
<h2 id="objetivo">Objetivo</h2>
<p>Esse levantamento massivo de informações serve a um propósito: mapear a <strong>Superfície de Ataque</strong>.</p>
<p><strong>Superfície de Ataque</strong> é um termo que se refere à soma dos vetores possíveis de ataque, a soma dos meios possíveis de se atacar um alvo.</p>
<p>Quanto mais informações disponíveis acerca do alvo tivermos, maiores serão as chances de encontrarmos possíveis vetores de ataque, que podem ser explorados (ou não) nas etapas futuras do Teste de Invasão.</p>
<h2 id="tipos-de-reconhecimento">Tipos de Reconhecimento</h2>
<p>Reconhecimento pode ser dividido em dois tipos: <strong>Reconhecimento Ativo</strong> e <strong>Reconhecimento Passivo</strong>.</p>
<h3 id="reconhecimento-passivo">Reconhecimento Passivo</h3>
<h4 id="o-que-é-reconhecimento-passivo">O que é Reconhecimento Passivo?</h4>
<p>Reconhecimento Passivo é o processo de se obter informações públicas acerca do alvo, sem que seja feita qualquer interação direta com o alvo, podendo ser feita através de consultas aos sites e mídias sociais do alvo e colaboradores, a informações em serviços de terceiros, e até mesmo através da observação das instalações físicas do alvo.</p>
<p>Reconhecimento Passivo é o processo de se obter informações que vêm &ldquo;de graça&rdquo;, sem que seja necessária qualquer interação com o alvo.</p>
<h5 id="exemplos-do-que-_é_-reconhecimento-passivo">Exemplos do que <em>É</em> Reconhecimento Passivo</h5>
<p>Alguns exemplos de Reconhecimento Passivo são:</p>
<ul>
<li>
<p>Coletar informações disponíveis no site do alvo</p>
</li>
<li>
<p>Coletar informações nas mídias sociais do alvo</p>
</li>
<li>
<p>Coletar informações dos colaboradores do alvo</p>
</li>
<li>
<p>Coletar informações de domínios e subdomínios do alvo</p>
</li>
<li>
<p>Coletar informações de VHosts nos domínios e subdomínios do alvo</p>
</li>
<li>
<p>Coletar informações de Whois</p>
</li>
<li>
<p>Coletar informações de DNS</p>
</li>
<li>
<p>Coletar informações, em mecanismos de busca, sobre o alvo</p>
</li>
<li>
<p>Coletar HTML, CSS e JS das páginas dos sites do alvo</p>
</li>
<li>
<p>Coletar informações e critérios para contratação de colaboradores</p>
</li>
<li>
<p>Observar, de fora, o funcionamento geral das instalações físicas do alvo</p>
</li>
</ul>
<h5 id="exemplos-do-que-_não-é_-reconhecimento-passivo">Exemplos do que <em>NÃO É</em> Reconhecimento Passivo</h5>
<ul>
<li>
<p>Entrar fisicamente nas instalações do alvo</p>
</li>
<li>
<p>Entrar nos sistemas do alvo</p>
</li>
<li>
<p>Provocar mensagens de erro através do uso incomum dos serviços do alvo</p>
</li>
<li>
<p>Enganar colaboradores do alvo</p>
</li>
<li>
<p>Qualquer interação com o sistema interno do alvo (físico e digital)</p>
</li>
</ul>
<h3 id="reconhecimento-ativo">Reconhecimento Ativo</h3>
<p>Reconhecimento Ativo é o processo de se obter informações que não seriam possíveis de serem obtidas através do Reconhecimento Passivo.</p>
<p>Após termos levantado informações através do Reconhecimento Passivo, podemos agora traçar estratégias para expandir essas informações através do Reconhecimento Ativo.</p>
<p>As informações do Reconhecimento Passivo vão servir para que averiguemos quais métodos de Reconhecimento Ativo podem ser mais efetivos contra o nosso alvo, a fim de maximizar os resultados e minimizar os riscos.</p>
<p><strong>O Reconhecimento Ativo envolve riscos</strong>, pois envolve interagir com o alvo e colaboradores, a fim de extrair o máximo de informações o possível.</p>
<p>Riscos:</p>
<ul>
<li>
<p>Sermos detectados</p>
</li>
<li>
<p>Alvo perceber potencial ataque e levantar a guarda</p>
</li>
<li>
<p>Frustração completa do Teste de Invasão</p>
</li>
</ul>
<p>Através das informações que obtivemos no Reconhecimento Passivo, podemos, por exemplo:</p>
<ul>
<li>
<p>Escolher de forma mais acertiva os colaboradores que serão vítimas de Engenharia Social</p>
</li>
<li>
<p>Servidores e VHosts nos quais podemos provocar mensagens de erro a fim de obtermos informações sobre as aplicações</p>
</li>
<li>
<p>Colaboradores que estão de férias, o que nos abre margem para Personificação</p>
</li>
<li>
<p>Colaboradores insatisfeitos, o que nos abre margem para subornos</p>
</li>
<li>
<p>Critérios para a contratação de novos colaboradores, o que nos abre margem para Engenharia Social e enumeração do funcionamento interno do alvo</p>
</li>
</ul>
<p>Enquanto o Reconhecimento Passivo é o processo de se obter informações que estão disponíveis publicamente na Internet e na vida real, sem necessidade de interação, o Reconhecimento Ativo é o processo de expandir essas informações através de interações diretas, com o objetivo de obter outras informações públicas e informações privadas sobre o alvo.</p>
<h3 id="zona-cinzenta">Zona Cinzenta</h3>
<p>Às vezes podemos nos deparar com zonas cinzentas entre Reconhecimento Passivo e Ativo.</p>
<p>Um bom critério para diferenciá-los (ao menos em parte dos casos) seria nos perguntarmos: <strong>&ldquo;Um indivíduo legítimo, sem intenção de atacar o alvo, poderia eventualmente esbarrar nessas informações?&rdquo;</strong>.</p>
<p>Se a resposta for positiva, se trata de um Reconhecimento Passivo. Caso contrário, pode ser que seja um Reconhecimento Ativo.</p>
<p>Um indivíduo legítimo poderia esbarrar em todas as informações presentes no site e mídias sociais do alvo e seus colaboradores (pode ser amigo de funcionários ou sócios da empresa), poderia esbarrar em suas informações de Whois e DNS (caso tente, por acaso, comprar um domínio já existente e pertencente ao alvo), poderia esbarrar nos códigos HTML, CSS e JS do site (apertando CTRL+U, F12 ou CTRL+Shift+C sem querer), poderia esbarrar em informações sobre o alvo em mecanismos de busca e etc&hellip;</p>
<p>E isso se estende até mesmo para Reconhecimento Passivo feito fora da Internet. Um indivíduo, por exemplo, pode ser amigo de um ou mais colaboradores do alvo, e saber o horário de entrada e saída dos mesmos, assim como a instalação na qual trabalham, onde almoçam, as informações em seus crachás e etc&hellip;</p>
<h2 id="etapas">Etapas</h2>
<p>O Reconhecimento (tanto Passivo quanto Ativo) geralmente é feito seguindo (mas não restrito) as seguintes etapas:</p>
<ol>
<li>
<p>Obtenção de informações sobre o alvo, colaboradores e funcionamento interno</p>
</li>
<li>
<p>Enumeração dos domínios do alvo</p>
</li>
<li>
<p>Enumeração dos subdomínios para cada domínio do alvo</p>
</li>
<li>
<p>Enumeração de bloco de IPs para cada subdomínio do alvo</p>
</li>
<li>
<p>Enumeração de portas nos IPs do alvo</p>
</li>
<li>
<p>Enumeração de VHosts para cada IP e porta do alvo</p>
</li>
<li>
<p>Enumeração de aplicações e serviços web para cada IP e porta do alvo</p>
</li>
<li>
<p>Mapeamento da rede do alvo (externa e/ou interna)</p>
</li>
</ol>
<h2 id="conclusão">Conclusão</h2>
<p>O principal objetivo do Reconhecimento é mapear a <strong>Superfície de Ataque</strong> do alvo.</p>
<p>Para que alcancemos este objetivo, temos que recorrer a meios Passivos e Ativos de Reconhecimento.</p>
<p>Meios Passivos servem para que melhor estruturemos nossas estratégias para executarmos os meios Ativos.</p>
<p>Os meios Passivos e Ativos levantarão informações acerca do alvo, de seus colaboradores, do funcionamento geral do alvo, das tecnologias, aplicações, serviços, DNSs, servidores, faixas de IPs, portas e VHosts por ele sendo utilizados. Informações estas, que configuram a <strong>Superfície de Ataque</strong>.</p>
<p>Nota: Até aqui, nenhuma invasão foi feita, nenhum ataque foi feito, somente foi mapeada a estrutura geral do alvo. Essa etapa consiste única e exclusivamente de obtenção de informações.</p>

        </div>

        
        <div class="row pl-3 pr-3">
        
        <div class="col-md-6 share-buttons">
        
            <strong>Compartilhar em:</strong>
            
            <a class="btn btn-sm facebook-btn" href="https://www.facebook.com/sharer.php?u=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f" target="_blank">
              <i class="fab fa-facebook"></i>
            </a>
            
            
                <a class="btn btn-sm twitter-btn" href="https://twitter.com/share?url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f&text=Ethical-Hacking%3a%20Reconhecimento&via=Darwin%27s%20Blog" target="_blank">
                  <i class="fab fa-twitter"></i>
                </a>
            
            
                <a  class="btn btn-sm reddit-btn" href="https://reddit.com/submit?url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f&title=Ethical-Hacking%3a%20Reconhecimento" target="_blank">
                  <i class="fab fa-reddit"></i>
                </a>
            
            
                <a class="btn btn-sm tumblr-btn" href="https://www.tumblr.com/share/link?url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f&name=Ethical-Hacking%3a%20Reconhecimento" target="_blank">
                  <i class="fab fa-tumblr"></i>
                </a>
            
            
                <a class="btn btn-sm pocket-btn" href="https://getpocket.com/save?url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f&title=Ethical-Hacking%3a%20Reconhecimento" target="_blank">
                  <i class="fab fa-get-pocket"></i>
                </a>
            
            
                <a class="btn btn-sm linkedin-btn" href="https://www.linkedin.com/shareArticle?url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f&title=Ethical-Hacking%3a%20Reconhecimento" target="_blank">
                  <i class="fab fa-linkedin"></i>
                </a>
            
            
                <a class="btn btn-sm diaspora-btn" href="https://share.diasporafoundation.org/?title=Ethical-Hacking%3a%20Reconhecimento&url=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f" rel="nofollow" target="_blank">
                  <i class="fab fa-diaspora"></i>
                </a>
            
             
                <a class="btn btn-sm mastodon-btn" href="https://mastodon.social/share?text=Ethical-Hacking%3a%20Reconhecimento - http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f" target="_blank">
                  <i class="fab fa-mastodon"></i>
                </a>
            
            
                 <a class="btn btn-sm whatsapp-btn" href="https://api.whatsapp.com/send?text=Ethical-Hacking%3a%20Reconhecimento http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f" target="_blank">
                  <i class="fab fa-whatsapp"></i>
                </a>
            
            
                <a class="btn btn-sm email-btn" href="mailto:?subject=Ethical-Hacking%3a%20Reconhecimento&body=http%3a%2f%2f192.168.15.28%2fposts%2fethical-hacking-reconhecimento%2f" target="_blank">
                  <i class="fas fa-envelope-open-text"></i>
                </a>
            
          
          </div>

        
        
          
            
          
          <div class="col-md-6 btn-improve-page">
             
               <a href="https://gitlab.com/darwin.brandao/personal-blog/edit/main/content/posts/ethical-hacking-reconhecimento/index.md" title="Melhorar esta página" target="_blank" rel="noopener">
            
                <i class="fas fa-code-branch"></i>
                Melhorar esta página
              </a>
          </div>
        
        </div>



      
      <hr />
        












<div class="row next-prev-navigator">
  
  
</div>

      <hr />

      
      

      
      

      </div>
    </div>
  </div>
  
  <a id="scroll-to-top" class="btn"><i class="fas fa-chevron-circle-up"></i></a>
  
</section>


      
      
  <section class="toc-section" id="toc-section">
    
    <div class="toc-holder">
      <h5 class="text-center pl-3">Conteúdo</h5>
      <hr>
      <div class="toc">
        <nav id="TableOfContents">
  <ul>
    <li><a href="#o-que-é">O que é?</a></li>
    <li><a href="#objetivo">Objetivo</a></li>
    <li><a href="#tipos-de-reconhecimento">Tipos de Reconhecimento</a>
      <ul>
        <li><a href="#reconhecimento-passivo">Reconhecimento Passivo</a>
          <ul>
            <li><a href="#o-que-é-reconhecimento-passivo">O que é Reconhecimento Passivo?</a>
              <ul>
                <li><a href="#exemplos-do-que-_é_-reconhecimento-passivo">Exemplos do que <em>É</em> Reconhecimento Passivo</a></li>
                <li><a href="#exemplos-do-que-_não-é_-reconhecimento-passivo">Exemplos do que <em>NÃO É</em> Reconhecimento Passivo</a></li>
              </ul>
            </li>
          </ul>
        </li>
        <li><a href="#reconhecimento-ativo">Reconhecimento Ativo</a></li>
        <li><a href="#zona-cinzenta">Zona Cinzenta</a></li>
      </ul>
    </li>
    <li><a href="#etapas">Etapas</a></li>
    <li><a href="#conclusão">Conclusão</a></li>
  </ul>
</nav>
      </div>
    </div>
    
  </section>

    </div>

    
    













  
  
    
  

  
  
    
  

  
  

  
  
    
    
      
    
  


  
  
  
    
  

  
  
  

  
  
  
    
  
  

  
  
  

  <footer id="footer" class="container-fluid text-center align-content-center footer pb-2">
    <div class="container pt-5">
      <div class="row text-left">
        
        <div class="col-md-4 col-sm-12">
          <h5>Navegação</h5>
          
          <ul>
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#about">Sobre</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#skills">Habilidades</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#experiences">Experiência</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#education">Educação</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#projects">Projetos</a>
                </li>
              
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#accomplishments">Realizações</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#recent-posts">Blog Posts</a>
                </li>
              
              
            
              
            
          </ul>
          
        </div>
        
        
        <div class="col-md-4 col-sm-12">
          <h5>Entre em contato:</h5>
          <ul>
            
              
                <li><a href=mailto:darwin.brandao@gmail.com target="_blank" rel="noopener">
                  <span><i class="fas fa-envelope"></i></span> <span>darwin.brandao@gmail.com</span>
                </a></li>
              
            
              
                <li><a href=https://gitlab.com/darwin.brandao target="_blank" rel="noopener">
                  <span><i class="fab fa-gitlab"></i></span> <span>darwin.brandao</span>
                </a></li>
              
            
          </ul>
        </div>
        
        <div class="col-md-4 col-sm-12">
        
        
	    
            
              
                <h5>Telegram Newsletter</h5>
		<a href="https://t.me/blogdarwinbrandao" class="btn " target="_blank" style="width: 100%; background-color: #2481cc; color: #ffffff; margin-top: 10px;">
		  <img src="/media/telegram/Logo.png" width="25" height="25" />
		  <b>&nbsp;Entrar no Canal</b>
		</a>
            
         </div>

      </div>
    </div>
    
    <hr />
    <div class="container">
      <p id="disclaimer"><strong>Aviso de Responsabilidade:</strong> Esse tema está sob a licença MIT. Então, você pode utilizá-lo para fins comerciais, não-comerciais e privados. Você pode modificar e/ou  distribuir esse tema sem pedir qualquer permissão ao autor do mesmo. Entretanto, o autor do tema não provê nenhuma garantia ou assume qualquer responsabilidade sobre qualquer problema com esse tema. Link para o tema original: <a href="https://github.com/hugo-toha/toha" target="_blank">
  https://github.com/hugo-toha/toha
</a></p>
    </div>
    
    
    <hr />
    <div class="container">
      <div class="row text-left">
        <div class="col-md-4">
          <a id="theme" href="https://github.com/hossainemruz/toha" target="_blank" rel="noopener">
            <img src="/images/theme-logo_hu8376fd15465fef26ffe66b6bcf0ca686_13669_32x0_resize_box_3.png" alt="Toha Theme Logo">
            Toha
          </a>
        </div>
        <div class="col-md-4 text-center">© 2022 Copyright.</div>
        <div class="col-md-4 text-right">
          <a id="hugo" href="https://gohugo.io/" target="_blank" rel="noopener">Construído com
          <img
            src="/images/hugo-logo.svg"
            alt="Hugo Logo"
            height="18"
          />
          </a>
        </div>
      </div>
    </div>
    
  </footer>


    <script type="text/javascript" src="/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="/js/popper.min.js"></script>
<script type="text/javascript" src="/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/js/navbar.js"></script>
<script type="text/javascript" src="/js/plyr.js"></script>
<script type="text/javascript" src="/js/main.js"></script>



<script type="text/javascript" src="/js/darkreader.js"></script>
<script type="text/javascript" src="/js/darkmode-darkreader.js"></script>



    
    
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/highlight.min.js"></script>
<script src="/js/single.js"></script>
<script>
  hljs.initHighlightingOnLoad();
</script>









    
</body>
</html>
